astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- Ring2D

# Ring2D

class `astropy.modeling.functional_models.``Ring2D`(amplitude, x_0, y_0, r_in, width=None, r_out=None, **constraints)

  Bases: `astropy.modeling.core.Parametric2DModel`

  Two dimensional radial symmetric Ring model.

  Parameters:

  amplitude : float

  > Value of the disk function

  x_0 : float

  > x position center of the disk

  y_0 : float

  > y position center of the disk

  r_in : float

  > Inner radius of the ring

  width : float

  > Width of the ring.

  r_out : float

  > Outer Radius of the ring. Can be specified instead of width.

  See also

  `Disk2D`, `TrapezoidDisk2D`

  Notes

  Model formula:

  > f(r) = \left \{ \begin{array}{ll} A & : r_{in} \leq r \leq r_{out} \\ 0 & : \textnormal{else} \end{array} \right.

  Where r_{out} = r_{in} + r_{width}.

  Attributes Summary

  `amplitude` |
  `param_names` | list() -> new empty list
  `r_in` |
  `width` |
  `x_0` |
  `y_0` |

  Methods Summary

  `eval`(x, y, amplitude, x_0, y_0, r_in, width) | Two dimensional Ring model function.

  Attributes Documentation

  `amplitude`
  `param_names` = ['amplitude', 'x_0', 'y_0', 'r_in', 'width']
  `r_in`
  `width`
  `x_0`
  `y_0`

  Methods Documentation

  static `eval`(x, y, amplitude, x_0, y_0, r_in, width)

    Two dimensional Ring model function.